<?php
 Session_Start () ;
 If (!$_SESSION ["repertoire_config"]) { Header ("Location: ../../") ; }
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../../include/garennes_apb.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;

 $id_etab = var_courante ("id_etab", 0, Null) ;
 $millesime = millesime (0) ;

 $action = var_courante ("action", 0, null) ;
 If (IsSet ($action) And ($action == 1))
  {
   $nbr_classes = var_courante ("nbr_classes", 0, 0) ;
   $ok = 0 ;
   $chaine = "" ;
   For ($i = 1 ; $i <= $nbr_classes ; $i++)
    {
     $activation = var_courante ("ac".$i, 0, Null) ;
     If (IsSet ($activation))
      {
       $niveau = var_courante ("niv".$i, 0, Null) ;
       If (IsSet ($niveau))
        {
	 $resultat = SQL_commande ("UPDATE classes SET id_type_niveau='".$niveau."' WHERE id_classe='".$activation."' LIMIT 1", $id_sql) ;
	 If ($ok == 1) { $chaine .= "|" ; }
	 $chaine .= $activation ;
	 $ok = 1 ;
	}
      }
    }
   If ($ok == 1) { sauvegarde_configuration ("ADMISSION_POST_BAC","CLASSES", "ACTIVES", $chaine) ; }
  }
 
 If (!IsSet ($titre)) { $fenetre = 1 ; }
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $ligne = SQL_tableau_associatif ($resultats, "") ;
 
 Echo "<html><head>" ;
 entete_html ("Garennes", "", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Include ("./apb_def_classes.js") ;
 Echo "</head>" ;
 
 // Gestion
 $gestion = SQL_commande ("SELECT * FROM gestion ORDER BY millesime DESC LIMIT 1", $id_sql) ;
 $ges = SQL_tableau_associatif ($gestion, "") ;
 
 Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
 Echo "<center><font color=\"#0000ff\"><b>Admission Post Bac : D&eacute;finition des classes.</b></font><br>" ;
 
 $etabl = SQL_commande ("SELECT id_etablissement FROM etablissements WHERE millesime='".$millesime."' ORDER BY numero,nom", $id_sql) ;
 $ok_apb = 0 ;
 $param_etab [0][0] = SQL_nbr_lignes ($etabl) ;
 For ($i = 1 ; $i <= $param_etab [0][0] ; $i++)
  {
   $etab = SQL_ligne_suivante ($etabl) ;
   If (garennes_apb_etablissement_actif ($eab [0]) == 1) { $ok_apb++ ; }
  }
 
 // Niveaux
 $niveaux = SQL_commande ("SELECT id_type_niveau,nom,apb_nom,actif FROM types_niveaux ORDER BY nom", $id_sql) ;
 $type_niveau [0][0] = SQL_nbr_lignes ($niveaux) ;
 For ($i = 1 ; $i <= $type_niveau [0][0] ; $i++)
  {
   $niveau = SQL_ligne_suivante ($niveaux) ;
   $type_niveau [$i][0] = $niveau [0] ;
   $type_niveau [$i][1] = $niveau [1] ;
   $type_niveau [$i][2] = $niveau [2] ;
   $type_niveau [$i][3] = $niveau [3] ;
  }
 // Recherche des classes actives
 $cl = restaure_configuration ("ADMISSION_POST_BAC","CLASSES", "ACTIVES", "") ;
 $classes_actives = Explode ("|", $cl) ;
 // Classes
 $classes = SQL_commande ("SELECT id_classe,nom,nom_bref,etablissement,id_type_niveau FROM classes WHERE millesime='".$millesime."' ORDER BY nom_bref,nom", $id_sql) ;
 $nbr_classes = SQL_nbr_lignes ($classes) ;
 
 If ($nbr_classes > 0)
  {
   Echo "<br>S&eacute;lectionner les classes et le niveau correspondant que vous voulez sauvgarder<br>" ;
   Echo "pour transmettre les notes et les appr&eacute;ciations dans '<i><b>Admission Post Bac</i></b>'.<br>" ;
   Echo "Normalement, vous n'avez besoin que des classes de premi&egrave;res et de terminales.<br><br></center>" ;
 
   Echo "<form action=\"./apb_def_classes.php\" name=\"formulaire\" method=\"post\">" ;
   Echo "<input type=\"hidden\" name=\"action\" value=\"1\">" ;
   Echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\" style=\"border:1px solid #000000;border-collapse:collapse\">" ;
   Echo "<tr><td>" ;
   Echo "<table border=\"0\" bgcolor=\"".$ligne ["couleur_fond"]."\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\">" ;
   $ligne_classe = "" ;
   $num_classe = 0 ;
   For ($i = 1 ; $i <= $nbr_classes ; $i++)
    {
     $classe = SQL_ligne_suivante ($classes) ;
     If (garennes_apb_etablissement_actif ($classe [3]) == 1)
      {
       $active = In_Array ($classe [0], $classes_actives) ;
       $num_classe++ ;
       $ligne_classe .= "<tr id=\"ligne".$num_classe."\"" ;
       If ($active)
        {
         If ($num_classe%2 == 1) { $couleur = $ligne ["lien"] ; } Else { $couleur = $ligne ["nom"] ; }
         $ligne_classe .= " style=\"background:".$couleur."\";" ;
        }
       $ligne_classe .= "><td>&nbsp;&nbsp;<input type=\"checkbox\" name=\"ac".$num_classe."\" id=\"ac".$num_classe."\" value=\"".$classe [0]."\" onchange=\"javascript:activation_classe_apb(".$num_classe.");\"" ;
       If ($active) { $ligne_classe .= " checked" ; }
       $ligne_classe .= "></td><td onclick=\"javascript:inversion_classe_apb(".$num_classe.");\">(".$classe [2].")&nbsp;".$classe [1]."&nbsp;</td>" ;
       $ligne_classe .= "<td><select name=\"niv".$num_classe."\" id=\"niv".$num_classe."\"" ; If (!$active) { $ligne_classe .= " disabled" ; }
       $ligne_classe .= ">" ;
       For ($j = 1 ; $j <= $type_niveau [0][0] ; $j++)
        {
         //If ($type_niveau [$j][3] == 1)
          //{
           $ligne_classe .= "<option value=\"".$type_niveau [$j][0]."\"" ; If ($classe [4] == $type_niveau [$j][0]) { $ligne_classe .= " selected" ; }
           $ligne_classe .= ">".$type_niveau [$j][1]."</option>" ;
	  //}
        }
       $ligne_classe .= "</selected>&nbsp;&nbsp;</td></tr>" ;
      }
    }
   Echo "<tr id=\"ligne0\"><td>&nbsp;&nbsp;<img src=\"../../images/tri_desc.png\" onclick=\"javascript:selection_tout_apb(".$num_classe.");\"" ;
   Echo " title=\"Inversion de la s&eacute;lection...\"></td><td colspan=\"2\">&nbsp;</td></tr>" ;
   Echo $ligne_classe ;
   Echo "<tr><td>&nbsp;</td></tr>" ;
   Echo "<tr><td align=\"center\" colspan=\"3\">" ;
   Echo "<input type=\"hidden\" name=\"nbr_classes\" value=\"".$num_classe."\">" ;
   Echo "<input type=\"submit\" name=\"submit\" value=\" Sauvegarde classes et niveaux \"></td></tr>" ;
   Echo "</table></td></tr></table>" ;
   Echo "</form>" ;
  }
 Else
  {
   Echo "<br><br><b>Il n'y a pas de classes d&eacute;finies dans la base !<br><br>Cr&eacute;er-les d'abord !<br><br>" ;
   Echo "(<a href=\"./edite_classe.php\" border=\"0\">&nbsp;Ajouter&nbsp;une&nbsp;classe&nbsp;</a>)" ;
   Echo "</b></center><br><br>" ;
  }
 Echo "</body></html>" ;
?>