<?php
 Session_Start () ;
 If (!$_SESSION ["repertoire_config"]) { Header ("Location: ../../") ; }
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../../include/garennes_gestion_classe.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 
 $hauteur_photo = 2*$hauteur_petite_photo ;
 $largeur_photo = 2*$largeur_petite_photo ;
 
 $edite = var_courante ("edite", 0, null) ;
 $id_eleve = var_courante ("id_eleve", 0, 0) ;
 $lettre = var_courante ("lettre", 0, "A") ;
 $millesime = millesime (0) ;
 If (!IsSet ($age_maximal)) { $age_maximal = 100 ; }

 // Edition 
 If ((IsSet ($edite)) And ($edite == 1))
  {
   // Recup
   $id_classe = var_courante ("id_classe", 0, 0) ;
   $repere1 = var_courante ("repere1", 0, "") ;
   $repere2 = var_courante ("repere2", 0, "") ;
   $mef = var_courante ("mef", 0, "") ;
   $nom = var_courante ("nom", 0, "") ;
   $prenoms = var_courante ("prenoms", 0, "") ;
   $annee = var_courante ("annee", 0, "0000") ;
   $mois = var_courante ("mois", 0, "00") ;
   $jour = var_courante ("jour", 0, "00") ;
   $sexe = var_courante ("sexe", 0, 1) ;
   $redoublant = var_courante ("redoublant", 0, 0) ;
   $regime_eleve = var_courante ("regime_eleve", 0, 1) ;
   $civ_parents = var_courante ("civ_parents", 0, 1) ;
   $nom_parents = var_courante ("nom_parents", 0, "") ;
   $prenom_parents = var_courante ("prenom_parents", 0, "") ;
   $adresse1 = var_courante ("adresse1", 0, "") ;
   $adresse2 = var_courante ("adresse2", 0, "") ;
   $cp = var_courante ("cp", 0, "") ;
   $ville = var_courante ("ville", 0, "") ;
   $telephone = var_courante ("telephone", 0, "") ;
   $telephone_travail = var_courante ("telephone_travail", 0, "") ;
   $civ_parents_p2 = var_courante ("civ_parents_p2", 0, "") ;
   $nom_parents_p2 = var_courante ("nom_parents_p2", 0, "") ;
   $prenom_parents_p2 = var_courante ("prenom_parents_p2", 0, "") ;
   $adresse1_p2 = var_courante ("adresse1_p2", 0, "") ;
   $adresse2_p2 = var_courante ("adresse2_p2", 0, "") ;
   $cp_p2 = var_courante ("cp_p2", 0, "") ;
   $ville_p2 = var_courante ("ville_p2", 0, "") ;
   $telephone_p2 = var_courante ("telephone_p2", 0, "") ;
   $telephone_travail_p2 = var_courante ("telephone_travail_p2", 0, "") ;
   
   // Modifier table eleves
   $res = SQL_commande ("SELECT nom_bref FROM classes WHERE id_classe='".$id_classe."' LIMIT 1", $id_sql) ;
   $cc = SQL_ligne_suivante ($res) ;
   $repere1 = filtrage ($repere1) ;
   $repere2 = filtrage ($repere2) ;
   
   $ok = SQL_commande ("UPDATE eleves
                           SET nom='".filtrage ($nom)."',prenoms='".filtrage ($prenoms)."',date_naissance='".$annee."-".$mois."-".$jour."',sexe='".$sexe."',
		               redoublant='".$redoublant."',regime='".$regime_eleve."',mef='".filtrage ($mef)."',
			       civilite_parents='".$civ_parents."',nom_parents='".filtrage ($nom_parents)."',prenom_parents='".filtrage ($prenom_parents)."',
		               adresse1='".$adresse1."',adresse2='".$adresse2."',cp='".$cp."',ville='".filtrage ($ville)."',
		               telephone='".$telephone."',telephone_travail='".$telephone_travail."',classe='".$id_classe."',
		               code_classe='".filtrage ($cc [0])."',repere1='".$repere1."',repere2='".$repere2."',
			       civilite_parents_p2='".$civ_parents_p2."',nom_parents_p2='".filtrage ($nom_parents_p2)."',prenom_parents_p2='".filtrage ($prenom_parents_p2)."',
		               adresse1_p2='".$adresse1_p2."',adresse2_p2='".$adresse2_p2."',cp_p2='".$cp_p2."',ville_p2='".filtrage ($ville_p2)."',
		               telephone_p2='".$telephone_p2."',telephone_travail_p2='".$telephone_travail_p2."',millesime='".$millesime."'
                           WHERE id_eleve='".$id_eleve."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE appreciations SET repere1='".$repere1."',repere2='".$repere2."',classe='".$id_classe."',code_classe='".filtrage ($cc [0])."' WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE groupes_eleve SET repere1='".$repere1."',repere2='".$repere2."' WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE memo_notes SET repere1='".$repere1."',repere2='".$repere2."' WHERE id_eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE notes SET repere1='".$repere1."',repere2='".$repere2."' WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE options_eleve SET repere1='".$repere1."',repere2='".$repere2."' WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;
   $ok = SQL_commande ("UPDATE vie_scolaire SET repere1='".$repere1."',repere2='".$repere2."' WHERE eleve='".$id_eleve."' AND millesime='".$millesime."'", $id_sql) ;

   // Modifier table des options
   $nbr_op = var_courante ("nbr_op", 0, 0) ;
   For ($i = 0 ; $i < $nbr_op ; $i++)
    {
     $id_op = var_courante ("id_op_".$i, 0, 0) ;
     $sc_op = var_courante ("sc_op_".$i, 0, 0) ;
     $vieille_op = var_courante ("vieille_op_".$i, 0, 0) ;
     $option = var_courante ("op_".$i, 0, 0) ;
     $existe = SQL_commande ("SELECT id_option_eleve FROM options_eleve WHERE eleve='".$id_eleve."' AND discipline='".$id_op."' AND service_classe='".$sc_op."' AND millesime='".$millesime."'", $id_sql) ;
     If (SQL_nbr_lignes ($existe) == 1)
      {
       // Existe et unique
       If ($option)
        {
	 // MAJ
         $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_op."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
	 $ok = SQL_commande ("UPDATE options_eleve SET eleve='".$id_eleve."',repere1='".$repere1."',repere2='".$repere2."',discipline='".$id_op."',code_disc='".$disc [0]."',service_classe='".$sc_op."'
			       WHERE id_option_eleve='".$vieille_op."'", $id_sql) ;
        }
       Else
        {
	 // Effacement
	 $ok = SQL_commande ("DELETE FROM options_eleve WHERE id_option_eleve='".$vieille_op."'", $id_sql) ;
	}
      }
     ElseIf (SQL_nbr_lignes ($existe) > 1)
      {
       // Existe sans etre unique ? -> On purge
       // Efface tout
       $ok = SQL_commande ("DELETE FROM options_eleve WHERE eleve='".$id_eleve."' AND discipline='".$id_op."' AND service_classe='".$sc_op."' AND millesime='".$millesime."'", $id_sql) ;
       If ($option)
        {
	 // Insertion d'une seule option unique
	 $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_op."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
         $ok = SQL_commande ("INSERT INTO options_eleve (eleve,repere1,repere2,discipline,code_disc,service_classe,millesime)
                              VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_op."','".$disc [0]."','".$sc_op."','".$millesime."')", $id_sql) ;
	}
      }
     Else
      {
       // N'existe pas ! -> Insertion si coche
       If ($option)
        {
         $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_op."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
         $ok = SQL_commande ("INSERT INTO options_eleve (eleve,repere1,repere2,discipline,code_disc,service_classe,millesime)
                              VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_op."','".$disc [0]."','".$sc_op."','".$millesime."')", $id_sql) ;
        }
      }
    }

   // Modifier table des groupes
   $nbr_gp = var_courante ("nbr_gp", 0, 0) ;
   For ($i = 0 ; $i < $nbr_gp ; $i++)
    {
     $id_gp = var_courante ("id_gp_".$i, 0, 0) ;
     $vieux_gp = var_courante ("vieux_gp_".$i, 0, 0) ;
     $groupe = var_courante ("gp_".$i, 0, 0) ;
     $existe = SQL_commande ("SELECT id_groupe_eleve FROM groupes_eleve WHERE eleve='".$id_eleve."' AND discipline='".$id_gp."' AND groupe='".$vieux_gp."' AND millesime='".$millesime."'", $id_sql) ;
     If (SQL_nbr_lignes ($existe) == 1)
      {
       // Existe et unique
       $ex = SQL_ligne_suivante ($existe) ;
       $id_groupe = $ex [0] ;
       If ($groupe)
        {
	 // MAJ
	 $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_gp."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
	 $ok = SQL_commande ("UPDATE groupes_eleve SET eleve='".$id_eleve."',repere1='".$repere1."',repere2='".$repere2."',discipline='".$id_gp."',code_disc='".$disc [0]."',groupe='".$groupe."'
			       WHERE id_groupe_eleve='".$id_groupe."'", $id_sql) ;
        }
       Else
        {
	 // Effacement
	 $ok = SQL_commande ("DELETE FROM groupes_eleve WHERE id_groupe_eleve='".$id_groupe."'", $id_sql) ;
	}
      }
     ElseIf (SQL_nbr_lignes ($existe) > 1)
      {
       // Existe sans etre unique ? Ah, erreur ! On corrige...
       // Efface tout
       $ok = SQL_commande ("DELETE FROM groupes_eleve WHERE eleve='".$id_eleve."' AND discipline='".$id_gp."' AND groupe='".$groupe."' AND millesime='".$millesime."'", $id_sql) ;
       If ($groupe)
        {
	 // Insertion d'un groupe unique
         $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_gp."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
         $ok = SQL_commande ("INSERT INTO groupes_eleve (eleve,repere1,repere2,discipline,code_disc,groupe,millesime)
                              VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_gp."','".$disc [0]."','".$groupe."','".$millesime."')", $id_sql) ;
	}
      }
     Else
      {
       // N'existe pas ! -> Insertion si choisi
       If ($groupe)
        {
         $res = SQL_commande ("SELECT code FROM disciplines WHERE id_discipline='".$id_gp."' LIMIT 1", $id_sql) ;
         $disc = SQL_ligne_suivante ($res) ;
         $ok = SQL_commande ("INSERT INTO groupes_eleve (eleve,repere1,repere2,discipline,code_disc,groupe,millesime)
                              VALUES ('".$id_eleve."','".$repere1."','".$repere2."','".$id_gp."','".$disc [0]."','".$groupe."','".$millesime."')", $id_sql) ;
        }
      }
    }
   // Verification des notes eleves
   Include ($_SESSION ["repertoire_config"]."/verifications.php") ;
   $rapport = verification_notes_eleve ($id_eleve, 1) ;
   $mess = 1 ;
  }
 
 // Numero RNE etablissement
 $rne = restaure_configuration ("SYSTEME_PARAM","RNE","GESTION") ;
 
 // Chercher la fiche eleve
 $resultat = SQL_commande ("SELECT * FROM eleves WHERE id_eleve='".$id_eleve."' LIMIT 1", $id_sql) ;
 $ligne = SQL_tableau_associatif ($resultat, "") ;
 $id_classe = $ligne ["classe"] ;
 
 // Existe-t-il une note
 $resultat = SQL_commande ("SELECT id_note FROM notes WHERE eleve='".$ligne ["id_eleve"]."' AND repere1='".$ligne ["repere1"]."' AND repere2='".$ligne ["repere2"]."' AND millesime='".$millesime."'", $id_sql) ;
 $ok_classe = SQL_nbr_lignes ($resultat) ;
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ; 
 Echo "<HTML><HEAD>" ;
 entete_html ("Garennes", "travail", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Echo "</HEAD>" ;
 
 Echo "<BODY BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\" onContextMenu=\"return false\">" ;
 
 If (!IsSet ($edite)) { Echo "<CENTER>Edition d'une fiche &eacute;l&egrave;ve</CENTER>" ; }
 Else { Echo "<CENTER>V&eacute;rification d'une fiche &eacute;l&egrave;ve</CENTER>" ; }
 
 If (IsSet ($mess) And IsSet ($rapport)) { affiche_message ($mess, $rapport) ; }
 
 // Icones de racourci
 If ($droit_courant != $droit_admin)
  {
   Echo "<TABLE ALIGN=\"CENTER\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border-collapse:collapse\">" ;
   Echo "<TR>" ;
   If (IsSet ($edite))
    {
     Echo "<FORM ACTION=\"./edite_eleve.php\" METHOD=\"POST\">" ;
     Echo "<TD>" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
     Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/edition.png\" TITLE=\"&Eacute;diter l'&eacute;l&egrave;ve\" BORDER=\"0\">" ;
     Echo "</TD>" ;
     Echo "</FORM>" ;
    }
   Echo "<FORM ACTION=\"./edite_classe.php\" METHOD=\"POST\">" ;
   Echo "<TD>" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$ligne ["classe"]."\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/fiche.png\" TITLE=\"&Eacute;diter la classe\" BORDER=\"0\">" ;
   Echo "</TD>" ;
   Echo "</FORM>" ;
   // Verification des options et groupes
   $resul = SQL_commande ("SELECT id_service_classe FROM services_classe WHERE classe='".$id_classe."' AND (optionnelle='1' OR groupe>'0') AND millesime='".$millesime."' LIMIT 1", $id_sql) ;
   $nbr_groupes_option = SQL_nbr_lignes ($resul) ;
   If ($nbr_groupes_option == 1)
    {
     Echo "<FORM ACTION=\"./edite_eleves_classe.php\" METHOD=\"POST\">" ;
     Echo "<TD>" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
     Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$ligne ["classe"]."\">" ;
     Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/eleves.png\" TITLE=\"&Eacute;diter les groupes/options de classe\" BORDER=\"0\">" ;
     Echo "</TD>" ;
     Echo "</FORM>" ;
    }
   Echo "<FORM ACTION=\"./liste_eleves.php\" METHOD=\"POST\">" ;
   $r_classe = SQL_commande ("SELECT * FROM classes WHERE id_classe=".$ligne ["classe"], $id_sql) ;
   $l_classe = SQL_tableau_associatif ($r_classe, "") ;
   Echo "<TD>" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$ligne ["classe"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nom_classe\" VALUE=\"".$l_classe ["nom"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nom_bref\" VALUE=\"".$l_classe ["nom_bref"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"titre\" VALUE=\"1\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/liste_eleves.png\" TITLE=\"Liste des &eacute;l&egrave;ves\" BORDER=\"0\">" ;
   Echo "</TD>" ;
   Echo "</FORM>" ;
   Echo "<FORM ACTION=\"./trombinoscope.php\" METHOD=\"POST\">" ;
   Echo "<TD>" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$ligne ["classe"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"titre\" VALUE=\"1\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/trombinoscope.png\" TITLE=\"Trombinoscope de la classe\" BORDER=\"0\">" ;
   Echo "</TD>" ;
   Echo "</FORM>" ;
   Echo "<FORM ACTION=\"./trombinoscope_prof.php\" METHOD=\"POST\">" ;
   Echo "<TD>" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$ligne ["classe"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"titre\" VALUE=\"1\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/trombinoscope_prof.png\" TITLE=\"Trombinoscope enseignants de la classe\" BORDER=0>" ;
   Echo "</TD>" ;
   Echo "</FORM>" ;
   Echo "</TR>" ;
   Echo "</TABLE>" ;
  }
 
 If (!IsSet ($edite))
  {
   Echo "<FORM ACTION=\"./edite_eleve.php\" METHOD=\"POST\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
  }
 
 Echo "<TABLE BORDER=\"1\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
 Echo "<TR><TD>" ;
 Echo "<TABLE BORDER=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" CELLSPACING=\"0\" CELLPADDING=\"1\">" ;

 // Espace
 If ($droit_courant != $droit_admin) { Echo "<TR><TD COLSPAN=\"4\">&nbsp;<A HREF=\"javascript:window.print()\"><IMG SRC=\"../images/imprimante.png\" BORDER=\"0\"></A></TD>" ; }
 Else { Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD>" ; }
 Echo "<TD ROWSPAN=\"24\">&nbsp;</TD></TR>" ;

 // Identifiant
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;ID&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">".$ligne ["id_eleve"]."&nbsp;</FONT></TD>" ;
 Echo "</TR>" ;
 // Nom + Photo
 If (($ligne ["photo"]) And (File_Exists ($repertoire_racine."/images/eleves/".$rne."/".$ligne ["photo"]))) { $fiche_photo = $http_garennes."images/eleves/".$rne."/".$ligne ["photo"] ; }
 Else { $fiche_photo = $http_garennes."images/eleves/anonyme.png" ; }
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nom&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=TEXT NAME=\"nom\" VALUE=\"".$ligne ["nom"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["nom"] ; }
 Echo "&nbsp;</FONT></TD>" ;
 Echo "<TD ROWSPAN=\"10\" COLSPAN=\"2\" vALIGN=\"TOP\" ALIGN=\"CENTER\">" ;
 Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border-collapse:collapse\">" ;
 Echo "<TR><TD ALIGN=\"LEFT\"><IMG SRC=\"".$fiche_photo."\" WIDTH=\"".$largeur_photo."\" HEIGHT=\"".$hauteur_photo."\" BORDER=\"1\"></TD></TR>" ;
 Echo "</TABLE>" ;
 Echo "</TD></TR>" ;
 // Prenoms
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Pr&eacute;noms&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"prenoms\" VALUE=\"".$ligne ["prenoms"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["prenoms"] ; }
 Echo "&nbsp;</FONT></TD>" ;
 Echo "</TR>" ;
 // Date de naissance
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Date&nbsp;de&nbsp;naissance&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
 $d = Explode ("-", $ligne ["date_naissance"]) ;
 If (!IsSet ($edite))
  {
   Echo saisie_date ($d [2], $d [1], $d [0], Date ("Y")-$age_maximal, $age_maximal, "jour", "mois", "annee") ;
  }
 Else
  {
   Echo $d [2]."/".$d [1]."/".$d [0] ;
  }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Sexe
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Sexe&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<SELECT NAME=\"sexe\">" ;
   Echo "<OPTION VALUE=\"F\"" ;
   If ($ligne ["sexe"] == "F") { Echo " SELECTED" ; }
   Echo ">Fille</OPTION>" ;
   Echo "<OPTION VALUE=\"M\"" ;
   If ($ligne ["sexe"] == "M") { Echo " SELECTED" ; }
   Echo ">Gar&ccedil;on</OPTION>" ;
   Echo "</SELECT>" ;
  }
 Else
  {
   If ($ligne ["sexe"] == "F") { Echo "Fille" ; } Else { Echo "Gar&ccedil;on" ; }
  }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Repere2 : Numero National
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;national&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"repere2\" VALUE=\"".$ligne ["repere2"]."\" SIZE=\"12\" MAXLENGTH=\"11\">" ; }
 Else { Echo $ligne ["repere2"] ; }
 Echo "&nbsp;</FONT></TD>" ;
 Echo "</TR>" ;
 // Repere1 : Numero GEP
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;GEP&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"repere1\" VALUE=\"".$ligne ["repere1"]."\" SIZE=\"6\" MAXLENGTH=\"5\">&nbsp;</FONT>(non&nbsp;obligatoire)" ; }
 Else { Echo $ligne ["repere1"]."&nbsp;</FONT>" ; }
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Mef
 $mefs = garennes_mefs (0) ;
 Echo "<tr>" ;
 Echo "<td align=\"right\"><font size=\"".$l ["titre"]."\">&nbsp;MEF&nbsp;:&nbsp;</font></td>" ;
 Echo "<td align=\"left\"><font size=\"".$l ["titre"]."\">" ;
 If ($mefs [0][0] == 0)
  {
   If (!IsSet ($edite)) { Echo "<input type=\"text\" name=\"mef\" value=\"".$ligne ["mef"]."\" size=\"12\" maxlength=\"11\">&nbsp;" ; }
   Else { Echo garennes_mef_champ_par_code ($ligne ["mef"], "libelle_long")."&nbsp;" ; }
  }
 Else
  {
   If (!IsSet ($edite))
    {
     Echo "<select name=\"mef\">" ;
     For ($i = 1 ; $i <= $mefs [0][0] ; $i++)
      {
       Echo "<option value=\"".$mefs [$i][1]."\"" ; If ($ligne ["mef"] == $mefs [$i][1]) { Echo " selected" ; }
       Echo ">".$mefs [$i][4]."</option>" ;
      }
     Echo "</select>" ;
    }
   Else { Echo garennes_mef_champ_par_code ($ligne ["mef"], "libelle_long")."&nbsp;" ; }
  }
 Echo "</font>" ;
 Echo "</td>" ;
 Echo "</tr>" ;
 // Classe
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Classe&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If ((!IsSet ($edite)) And ($ok_classe == 0)) { Echo "<SELECT NAME=\"id_classe\">" ; }
 $resultat = SQL_commande ("SELECT id_classe,nom,nom_bref FROM classes WHERE millesime='".$millesime."' ORDER BY nom_bref,nom", $id_sql) ;
 $ok_aff = 0 ;
 While ($lin_cl = SQL_ligne_suivante ($resultat))
  {
   If ((!IsSet ($edite)) And ($ok_classe == 0))
    {
     Echo "<OPTION VALUE=\"".$lin_cl [0]."\"" ; If ($lin_cl[0] == $id_classe) { Echo " SELECTED" ; }
     Echo ">".$lin_cl [1]."&nbsp;(".$lin_cl [2].")</OPTION>" ;
     $ok_aff = 1 ;
    }
   Else
    {
     If ($lin_cl[0] == $id_classe)
      {
       Echo "<B>".$lin_cl [1]."&nbsp;</B>(<B>".$lin_cl [2]."</B>)" ;
       If (!IsSet ($edite)) { Echo "&nbsp;&nbsp;&nbsp;><A HREF=\"modif_classe.php?id_eleve=".$id_eleve."&lettre=".$lettre."\">&nbsp;Modifier&nbsp;la&nbsp;classe&nbsp;</A><" ; }
       Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_classe\" VALUE=\"".$id_classe."\">" ;
       $ok_aff = 1 ;
      }
    }
  }
 If ((!IsSet ($edite)) And ($ok_classe == 0)) { Echo "</SELECT>" ; }
 // Pas de classe affiche donc on donne le choix
 If ($ok_aff == 0)
  {
   $resultat = SQL_commande ("SELECT id_classe,nom,nom_bref FROM classes WHERE millesime='".$millesime."' ORDER BY nom_bref,nom", $id_sql) ;
   Echo "<SELECT NAME=\"id_classe\">" ;
   While ($lin_cl = SQL_ligne_suivante ($resultat))
    {
     Echo "<OPTION VALUE=\"".$lin_cl [0]."\">".$lin_cl [1]."&nbsp;(".$lin_cl [2].")</OPTION>" ;
    }
   Echo "</SELECT>" ;
  }
 Echo "</FONT>" ;
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Regime
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;R&eacute;gime&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<SELECT NAME=\"regime_eleve\">" ;
   $resultat = SQL_commande ("SELECT code,nom_long FROM types_regimes WHERE millesime='".$millesime."' ORDER BY code", $id_sql) ;
   While ($reg_el = SQL_ligne_suivante ($resultat))
    {
     Echo "<OPTION VALUE=\"".$reg_el [0]."\"" ;
     If ($reg_el [0] == $ligne ["regime"]) { Echo " SELECTED" ; }
     Echo ">".$reg_el [1]."</OPTION>" ;
    }
   Echo "</SELECT>" ;
  }
 Else
  {
   $resultat = SQL_commande ("SELECT code,nom_long FROM types_regimes WHERE millesime='".$millesime."' ORDER BY code", $id_sql) ;
   While ($reg_el = SQL_ligne_suivante ($resultat))
    {
     If ($reg_el [0] == $ligne ["regime"]) { Echo $reg_el [1] ; }
    }
  }
 Echo "</FONT>" ;
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Options
 $aff_na = 0 ;
 $options = options_id_classe ($id_classe) ;
 If (Is_Array ($options))
  {
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Options&nbsp;:&nbsp;</FONT></TD>" ;
   Echo "<TD BGCOLOR=\"".$l ["nom"]."\" ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
   $i = 0 ;
   $option_ok = 0 ;
   $ok = 0 ;
   While (list ($valeur2, $cle2) = Each ($options))
    {
     If (!IsSet ($edite))
      {
       Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_op_".$i."\" VALUE=\"".$cle2."\">" ;
       Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"sc_op_".$i."\" VALUE=\"".$valeur2."\">" ;
       Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"vieille_op_".$i."\" VALUE=\"".suit_loption ($id_eleve, $cle2, $valeur2)."\">" ;
       Echo "<INPUT TYPE=\"CHECKBOX\" NAME=\"op_".$i."\" VALUE=\"1\"" ;
       If (suit_loption ($id_eleve, $cle2, $valeur2) > 0) { Echo " CHECKED" ; }
       Echo ">&nbsp;".nom_option ($valeur2)."&nbsp;" ;
       $ok++ ;
      }
     Else
      {
       If (suit_loption ($id_eleve, $cle2, $valeur2) > 0)
        {
	 If ($option_ok == 1) { Echo "<BR>" ; }
	 Echo nom_option ($valeur2)."&nbsp;" ;
	 $option_ok = 1 ;
	 $ok++ ;
	}
      }
     $serv_prof = SQL_commande ("SELECT sous_discipline FROM services_prof WHERE service_classe='".$valeur2."' AND millesime='".$millesime."' LIMIT 1", $id_sql) ;
     $sp = SQL_ligne_suivante ($serv_prof) ;
     If ($sp [0])
      {
       $sous_disc = SQL_commande ("SELECT nom FROM sous_disciplines WHERE id_sous_discipline='".$sp [0]."' LIMIT 1", $id_sql) ;
       $sd = SQL_ligne_suivante ($sous_disc) ;
       If (((suit_loption ($id_eleve, $cle2, $valeur2) > 0) And IsSet ($edite)) Or (!IsSet ($edite))) { Echo "(<I>".$sd [0]."</I>)&nbsp;" ; $ok++ ; }
      }
     If (!IsSet ($edite) And ($ok > 0)) { Echo "<BR>" ; }
     $i++ ;
    }
   If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_op\" VALUE=\"".$i."\">" ; }
   If ($ok == 0) { Echo "N.A." ; $aff_na = 1 ; }
   Echo "</FONT></TD>" ;
   Echo "</TR>" ;
  }
 Else
  {
   Echo "<TR><TD></TD><TD></TD></TR>" ;
  }
 // Redoublant
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Redoublant&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<SELECT NAME=\"redoublant\">" ;
   Echo "<OPTION VALUE=\"O\"" ; If ($ligne ["redoublant"] == "O") { Echo " SELECTED" ; }
   Echo ">OUI</OPTION>" ;
   Echo "<OPTION VALUE=\"N\"" ; If ($ligne ["redoublant"] == "N") { Echo " SELECTED" ; }
   Echo ">NON</OPTION>" ;
   Echo "</SELECT></FONT>" ;
  }
 Else
  {
   If ($ligne ["redoublant"] == "O") { Echo "OUI" ; }
   Else { Echo "NON" ; }
  }
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Groupes
 $groupes = groupes_classe ($id_classe) ;
 If (Is_Array ($groupes))
  {
   $ligne1 = "" ; $ligne2 = "" ;
   $i = 0 ;
   While (list ($cle, $valeur) = Each ($groupes))
    {
     $ligne1 .= "<TD ALIGN=\"CENTER\" BGCOLOR=\"".$l ["lien"]."\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;".$groupes [$cle][0]."&nbsp;</FONT></TD>" ;
     $ligne2 .= "<TD ALIGN=\"CENTER\"><FONT SIZE=\"".$l ["titre"]."\">" ;
     If (!IsSet ($edite))
      {
       $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"id_gp_".$i."\" VALUE=\"".$cle."\">" ;
       $ligne2 .= "<INPUT TYPE=\"HIDDEN\" NAME=\"vieux_gp_".$i."\" VALUE=\"".numero_groupe ($id_eleve, $cle)."\">" ;
       $ligne2 .= "<SELECT NAME=\"gp_".$i."\">" ;
       $ligne2 .= "<OPTION VALUE=\"0\"></OPTION>" ;
       For ($j = 0 ; $j < $groupes [$cle][2] ; $j++)
        {
         $ligne2 .= "<OPTION VALUE=\"".$groupes [$cle][3+$j*2]."\"" ;
         If (numero_groupe ($id_eleve, $cle) == $groupes [$cle][3+$j*2]) { $ligne2 .= " SELECTED" ; }
         $ligne2 .= ">".$groupes [$cle][4+$j*2]."</OPTION>" ;
        }
       $ligne2 .= "</SELECT>" ;
      }
     Else
      {
       $ok = 0 ;
       For ($j = 0 ; $j < $groupes [$cle][2] ; $j++)
        {
         If (numero_groupe ($id_eleve, $cle) == $groupes [$cle][3+$j*2]) { $ligne2 .= $groupes [$cle][4+$j*2] ; $ok = 1 ; }
        }
       If ($ok == 0) { $ligne2 .= "N.A." ; $aff_na = 1 ; }
      }
     $ligne2 .= "</TD>" ;
     $i++ ;
    }
 
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Groupes&nbsp;:&nbsp;</FONT></TD>" ;
   Echo "<TD COLSPAN=\"3\">" ;
   If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"nbr_gp\" VALUE=\"".$i."\">" ; }
   Echo "<TABLE BORDER=\"1\" BGCOLOR=\"".$l ["nom"]."\" CELLPADDING=\"1\" CELLSPACING=\"1\" STYLE=\"border:1px solid ".$l ["couleur_fond"].";border-collapse:collapse\">" ;
   Echo "<TR>".$ligne1."</TR>" ;
   Echo "<TR>".$ligne2."</TR>" ;
   Echo "</TABLE>" ;
   Echo "</TD></TR>" ;
   If ($aff_na == 1)
    {
     Echo "<TR><TD></TD><TD COLSPAN=\"3\"><FONT SIZE=\"".$l ["titre"]."\"><B>N.A.</B>&nbsp;:&nbsp;Non&nbsp;attribu&eacute;</FONT></TD></TR>" ;
    }
  }

 // Espace
 Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;

 // Responsables
 Echo "<TR><TD>&nbsp;</TD><TD ALIGN=\"CENTER\">&nbsp;Responsable&nbsp;1&nbsp;</TD><TD ROWSPAN=\"8\">&nbsp;</TD><TD ALIGN=\"CENTER\">&nbsp;Responsable&nbsp;2&nbsp;</TD></TR>" ;
 // Civilite
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Civilit&eacute;&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<SELECT NAME=\"civ_parents\">" ;
   Echo "<OPTION VALUE=\"M. et Mme\"" ;
   If ($ligne ["civilite_parents"] == "M. et Mme") { Echo " SELECTED" ; }
   Echo ">M. et Mme</OPTION>" ;
   Echo "<OPTION VALUE=\"M.\"" ;
   If ($ligne ["civilite_parents"] == "M.") { Echo " SELECTED" ; }
   Echo ">M.</OPTION>" ;
   Echo "<OPTION VALUE=\"Mme\"" ;
   If ($ligne ["civilite_parents"] == "Mme") { Echo " SELECTED" ; }
   Echo ">Mme</OPTION>" ;
   Echo "<OPTION VALUE=\"Mlle\"" ;
   If ($ligne ["civilite_parents"] == "Mlle") { Echo " SELECTED" ; }
   Echo ">Mlle</OPTION>" ;
   Echo "</SELECTED>" ;
  }
 Else
  {
   Echo $ligne ["civilite_parents"] ;
  }
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<SELECT NAME=\"civ_parents_p2\">" ;
   Echo "<OPTION VALUE=\"M. et Mme\"" ; If ($ligne ["civilite_parents_p2"] == "M. et Mme") { Echo " SELECTED" ; }
   Echo ">M. et Mme</OPTION>" ;
   Echo "<OPTION VALUE=\"M.\"" ; If ($ligne ["civilite_parents_p2"] == "M.") { Echo " SELECTED" ; }
   Echo ">M.</OPTION>" ;
   Echo "<OPTION VALUE=\"Mme\"" ; If ($ligne ["civilite_parents_p2"] == "Mme") { Echo " SELECTED" ; }
   Echo ">Mme</OPTION>" ;
   Echo "<OPTION VALUE=\"Mlle\"" ; If ($ligne ["civilite_parents_p2"] == "Mlle") { Echo " SELECTED" ; }
   Echo ">Mlle</OPTION>" ;
   Echo "</SELECTED>" ;
  }
 Else
  {
   Echo $ligne ["civilite_parents_p2"] ;
  }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Nom
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nom&nbsp;du&nbsp;responsable&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"nom_parents\" VALUE=\"".$ligne ["nom_parents"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["nom_parents"] ; }
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"nom_parents_p2\" VALUE=\"".$ligne ["nom_parents_p2"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["nom_parents_p2"] ; }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Prenoms
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Pr&eacute;nom&nbsp;du&nbsp;responsable&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"prenom_parents\" VALUE=\"".$ligne ["prenom_parents"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["prenom_parents"] ; }
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"prenom_parents_p2\" VALUE=\"".$ligne ["prenom_parents_p2"]."\" SIZE=\"26\" MAXLENGTH=\"25\">" ; }
 Else { Echo $ligne ["prenom_parents_p2"] ; }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Adresse
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Adresse&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse1\" VALUE=\"".$ligne ["adresse1"]."\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse2\" VALUE=\"".$ligne ["adresse2"]."\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
  }
 Else
  {
   Echo $ligne ["adresse1"]."&nbsp;<BR>" ;
   Echo $ligne ["adresse2"]."&nbsp;<BR>" ;
  }
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse1_p2\" VALUE=\"".$ligne ["adresse1_p2"]."\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse2_p2\" VALUE=\"".$ligne ["adresse2_p2"]."\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
  }
 Else
  {
   Echo $ligne ["adresse1_p2"]."&nbsp;<BR>" ;
   Echo $ligne ["adresse2_p2"]."&nbsp;<BR>" ;
  }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // CP+Ville
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;C.P.&nbsp;+&nbsp;Ville&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"cp\" VALUE=\"".$ligne ["cp"]."\" SIZE=\"6\" MAXLENGTH=\"5\">" ;
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"ville\" VALUE=\"".$ligne ["ville"]."\" SIZE=\"28\" MAXLENGTH=\"27\">" ;
  }
 Else
  {
   Echo $ligne ["cp"]."&nbsp;" ;
   Echo $ligne ["ville"] ;
  }
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite))
  {
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"cp_p2\" VALUE=\"".$ligne ["cp_p2"]."\" SIZE=\"6\" MAXLENGTH=\"5\">" ;
   Echo "<INPUT TYPE=\"TEXT\" NAME=\"ville_p2\" VALUE=\"".$ligne ["ville_p2"]."\" SIZE=\"28\" MAXLENGTH=\"27\">" ;
  }
 Else
  {
   Echo $ligne ["cp_p2"]."&nbsp;" ;
   Echo $ligne ["ville_p2"] ;
  }
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Telephones
 // Maison
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;T&eacute;l&eacute;phone&nbsp;domicile&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"telephone\" VALUE=\"".$ligne ["telephone"]."\" SIZE=\"14\" MAXLENGTH=\"20\">" ; }
 Else { Echo $ligne ["telephone"] ; }
 Echo "</FONT>&nbsp;</TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"telephone_p2\" VALUE=\"".$ligne ["telephone_p2"]."\" SIZE=\"14\" MAXLENGTH=\"20\">" ; }
 Else { Echo $ligne ["telephone_p2"] ; }
 Echo "</FONT>&nbsp;</TD>" ;
 Echo "</TR>" ;
 // Travail
 If ((IsSet ($edite) And (($ligne ["telephone_travail"]) Or ($ligne ["telephone_travail_p2"]))) Or (!IsSet ($edite)))
  {
   Echo "<TR>" ;
   Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;T&eacute;l&eacute;phone&nbsp;travail&nbsp;:&nbsp;</FONT></TD>" ;
   Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
   If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"telephone_travail\" VALUE=\"".$ligne ["telephone_travail"]."\" SIZE=\"14\" MAXLENGTH=\"20\">" ; }
   Else { Echo $ligne ["telephone_travail"] ; }
   Echo "</FONT>&nbsp;</TD>" ;
   Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
   If (!IsSet ($edite)) { Echo "<INPUT TYPE=\"TEXT\" NAME=\"telephone_travail_p2\" VALUE=\"".$ligne ["telephone_travail_p2"]."\" SIZE=\"14\" MAXLENGTH=\"20\">" ; }
   Else { Echo $ligne ["telephone_travail_p2"] ; }
   Echo "</FONT>&nbsp;</TD>" ;
   Echo "</TR>" ;
  }

 // Espace
 Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;

 // Boutons
 If (!IsSet ($edite))
  {
   Echo "<TR><TD>&nbsp;</TD>" ;
   Echo "<TD ALIGN=\"CENTER\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"".$id_eleve."\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"edite\" VALUE=\"1\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/valider.png\" TITLE=\"Valider\" VALUE=\"Valider\" BORDER=\"0\">" ;
   Echo "</TD>" ;
   Echo "<TD>&nbsp;</TD>" ;
   Echo "</FORM>" ;
   Echo "<FORM ACTION=\"./gestion_eleves.php\" METHOD=\"POST\">" ;
   Echo "<TD ALIGN=\"RIGHT\">" ;
   Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ;
   Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/annuler.png\" TITLE=\"Retour &agrave; la liste\" BORDER=\"0\">" ;
   Echo "</TD>" ;
   Echo "</FORM>" ;
   Echo "</TR>" ;
  }
 Echo "</TABLE>" ;
 Echo "</TD></TR></TABLE>" ;
 Echo "</BODY></HTML>" ;
?>