<?php
 Session_Start () ;
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../../include/garennes_gestion_classe.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 
 $edite = var_courante ("edite", 0, null) ;
 $id_eleve = var_courante ("id_eleve", 0, null) ;
 $lettre = var_courante ("lettre", 0, "A") ;
 $code = var_courante ("code", 0, $_SESSION ["code"]) ;
 $millesime = millesime (0) ;
 If (!IsSet ($age_maximal)) { $age_maximal = 100 ; }
 
 // Edition
 If (IsSet ($edite) And ($edite == 1) And IsSet ($id_eleve) And ($id_eleve == 0))
  {
   $id_classe = var_courante ("id_classe", 0, 0) ;
   $nom = var_courante ("nom", 0, "") ;
   $prenoms = var_courante ("prenoms", 0, "") ;
   $jour = var_courante ("jour", 0, "00") ;
   $mois = var_courante ("mois", 0, "00") ;
   $annee = var_courante ("annee", 0, "0000") ;
   $sexe = var_courante ("sexe", 0, 0) ;
   $repere1 = var_courante ("repere1", 0, "") ;
   $repere2 = var_courante ("repere2", 0, "") ;
   $mef = var_courante ("mef", 0, "") ;
   $id_classe = var_courante ("id_classe", 0, 0) ;
   $regime_eleve = var_courante ("regime_eleve", 0, 0) ;
   $redoublant = var_courante ("redoublant", 0, 0) ;
   $civ_parents = var_courante ("civ_parents", 0, "") ;
   $civ_parents_2 = var_courante ("civ_parents_2", 0, "") ;
   $nom_parents = var_courante ("nom_parents", 0, "") ;
   $nom_parents_2 = var_courante ("nom_parents_p2", 0, "") ;
   $prenom_parents = var_courante ("prenom_parents", 0, "") ;
   $prenom_parents_2 = var_courante ("prenom_parents_p2", 0, "") ;
   $adresse1 = var_courante ("adresse1", 0, "") ;
   $adresse2 = var_courante ("adresse2", 0, "") ;
   $adresse1_p2 = var_courante ("adresse1_p2", 0, "") ;
   $adresse2_p2 = var_courante ("adresse2_p2", 0, "") ;
   $cp = var_courante ("cp", 0, "") ;
   $ville = var_courante ("ville", 0, "") ;
   $cp_p2 = var_courante ("cp_p2", 0, "") ;
   $ville_p2 = var_courante ("ville_p2", 0, "") ;
   $telephone = var_courante ("telephone", 0, "") ;
   $telephone_p2 = var_courante ("telephone_p2", 0, "") ;
   $telephone_travail = var_courante ("telephone_travail", 0, "") ;
   $telephone_travail_p2 = var_courante ("telephone_travail_p2", 0, "") ;
   
   If ($repere1 == "") { $repere1 = Rand (10000000000, 90000000000) ; }
   // Modifier table eleves
   $res = SQL_commande ("SELECT nom_bref FROM classes WHERE id_classe='".$id_classe."' LIMIT 1", $id_sql) ;
   $cc = SQL_ligne_suivante ($res) ;
   $ok = SQL_commande ("INSERT INTO eleves (id_eleve,nom,prenoms,date_naissance,sexe,redoublant,regime,civilite_parents,nom_parents,
                         prenom_parents,adresse1,adresse2,cp,ville,telephone,telephone_travail,classe,code_classe,repere1,repere2,mef,
                         exterieur,theme,civilite_parents_p2,nom_parents_p2,prenom_parents_p2,adresse1_p2,adresse2_p2,cp_p2,ville_p2,
                         telephone_p2,telephone_travail_p2,millesime)
		        VALUES ('','".filtrage ($nom)."','".filtrage ($prenoms)."','".$annee."-".$mois."-".$jour."','".$sexe."','".$redoublant."',
                          '".$regime_eleve."','".$civilite_parents."','".filtrage ($nom_parents)."','".filtrage ($prenom_parents)."','".$adresse1."',
                          '".$adresse2."','".$cp."','".$ville."','".$telephone."','".$telephone_travail."','".$id_classe."','".$cc [0]."',
                          '".filtrage ($repere1)."','".filtrage ($repere2)."','".filtrage ($mef)."',
			  '0','1','".$civilite_parents_p2."','".filtrage ($nom_parents_p2)."',
                          '".filtrage ($prenom_parents_p2)."','".$adresse1_p2."','".$adresse2_p2."','".$cp_p2."','".$ville_p2."','".$telephone_p2."',
                          '".$telephone_travail_p2."','".$millesime."')", $id_sql) ;
   
   $lettre = StrToUpper (SubStr ($nom, 0, 1)) ;
   // Eleve ?
   $eleve = SQL_commande ("SELECT * FROM eleves WHERE nom='".filtrage ($nom)."' AND prenoms='".filtrage ($prenoms)."'
                              AND date_naissance='".$annee."-".$mois."-".$jour."' AND sexe='".$sexe."' AND classe='".$id_classe."'
                              AND repere1='".filtrage ($repere1)."' AND repere2='".filtrage ($repere2)."' AND exterieur='0'
                              AND millesime='".$millesime."' LIMIT 1", $id_sql) ;
   $el = SQL_tableau_associatif ($eleve, "") ;

   // Ajouter des notes et des appreciations vierges pour les disciplines obligatoires si periode 1 finie
   // Chercher les disciplines
   $resultat_disc = SQL_commande ("SELECT d.id_discipline,d.code,p.id_service_prof,p.professeur,p.numen_prof,p.sous_discipline,s.id_service_classe,s.groupe,s.code_classe
                                     FROM disciplines d,services_classe s,services_prof p
                                    WHERE s.classe='".$id_classe."' AND s.discipline=d.id_discipline AND p.service_classe=s.id_service_classe AND p.groupe_classe=0
                                    ORDER BY d.nom_long", $id_sql) ;
   // Parcours les disciplines
   If (SQL_nbr_lignes ($resultat_disc) > 0)
    {
     $requete1 = "INSERT INTO appreciations (eleve,repere1,repere2,classe,code_classe,professeur,numen,discipline,code_disc,service_prof,periode,texte,millesime) VALUES " ;
     $matiere = 0 ;
     $nbr_disc = SQL_nbr_lignes ($resultat_disc) ;
     For ($i = 0 ; $i < $nbr_disc ; $i++)
      {
       $disc = SQL_tableau_associatif ($resultat_disc, "") ;
       // Si la discipline n'est pas optionnelle -> obligatoire, donc on ajoute
       If (estoptionnelle ($disc ["id_discipline"], $id_classe, $disc ["sous_discipline"]) == 0)
        {
         // Insertion appreciations
         $num_periode = periode_actuelle ($id_classe) ;
	 If ($num_periode > 1)
	  {
           For ($j = 1 ; $j <= $num_periode ; $j++)
            {
	     If ($matiere > 0) { $requete1 .= "," ; }
	     $requete1 .= "('".$el ["id_eleve"]."','".$el ["repere1"]."','".$el ["repere2"]."','".$id_classe."','".$disc ["code_classe"]."','".$disc ["professeur"]."',
	                    '".$disc ["numen"]."','".$disc ["id_discipline"]."','".$disc ["code"]."','".$disc ["id_service_prof"]."','".$j."','Absent.','".$millesime."')" ;
             $matiere++ ;
	    }
          }
         // Recherche de tous les controles
         $resultats = SQL_commande ("SELECT id_controle,periode FROM controles WHERE service_prof='".$disc ["id_service_prof"]."' ORDER BY id_controle", $id_sql) ;
         If (SQL_nbr_lignes ($resultats) > 0)
          {
	   // On ajoute des notes vierges
           $requete2 = "INSERT INTO notes (eleve,repere1,repere2,valeur,commentaire,controle,millesime) VALUES " ;
           For ($j = 0 ; $j < SQL_nbr_lignes ($resultats) ; $j++)
            {
  	     $controle = SQL_ligne_suivante ($resultats) ;
  	     If ($j > 0) { $requete2 .= "," ; }
  	     $requete2 .= "('".$el ["id_eleve"]."','".$el ["repere1"]."','".$el ["repere2"]."','".$note_initiale."','','".$controle [0]."','".$millesime."')" ;
	    }
           $rsts = SQL_commande ($requete2, $id_sql) ;
	  }
        }
      }
     If ($matiere > 0) { $rsts = SQL_commande ($requete1, $id_sql) ; }
    }
   
   Header ("Location: ./edite_eleve.php?code=".$_SESSION ["code"]."&lettre=".$lettre."&id_eleve=".$el ["id_eleve"]) ;
  }
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ; 
 
 Echo "<HTML><HEAD>" ;
 entete_html ("Garennes", "travail", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Echo "</HEAD>" ;
 
 Echo "<BODY BACKGROUND=\"../images/fond.png\" TEXT=\"#000000\">";// onContextMenu=\"return false\">" ;
 Echo "<CENTER>Ajouter un &eacute;l&egrave;ve</CENTER>" ;
 Echo "<FORM ACTION=\"./nouvel_eleve.php\" METHOD=\"POST\">" ;
 If (IsSet ($lettre)) { Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"".$lettre."\">" ; }
 Else { Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"A\">" ; }
 Echo "<TABLE BORDER=\"0\" ALIGN=\"CENTER\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
 Echo "<TR><TD>" ;
 Echo "<TABLE BORDER=\"1\" CELLSPACING=\"0\" CELLPADDING=\"0\" STYLE=\"border:1px solid #000000;border-collapse:collapse\">" ;
 Echo "<TR><TD>" ;
 Echo "<TABLE BORDER=\"0\" BGCOLOR=\"".$l ["couleur_fond"]."\" CELLSPACING=\"0\" CELLPADDING=\"1\">" ;

 // Espace
 Echo "<TR><TD COLSPAN=\"4\">&nbsp;</TD><TD ROWSPAN=\"21\">&nbsp;</TD></TR>" ;

 // Nom + Photo
 $fiche_photo = $http_garennes."images/eleves/anonyme.png" ;
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nom&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"nom\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;</FONT></TD>" ;
 Echo "<TD ROWSPAN=\"9\" COLSPAN=\"2\" vALIGN=\"TOP\" ALIGN=\"LEFT\">" ;
 Echo "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">" ;
 Echo "<TR><TD ALIGN=\"CENTER\"><IMG SRC=\"".$fiche_photo."\" WIDTH=\"".$largeur_photo."\" HEIGHT=\"".$hauteur_photo."\" BORDER=\"1\"></TD></TR>" ;
 Echo "</TABLE>" ;
 Echo "</TD></TR>" ;
 // Prenoms
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Pr&eacute;noms&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"prenoms\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;</FONT></TD>" ;
 Echo "</TR>" ;
 // Date de naissance
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Date&nbsp;de&nbsp;naissance&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
 //$d = Explode ("-", $ligne ["date_naissance"]) ;
 Echo saisie_date (Date ("j"), Date ("m"), Date ("Y"), Date ("Y")-$age_maximal, $age_maximal, "jour", "mois", "annee") ;
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Sexe
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Sexe&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"sexe\">" ;
 Echo "<OPTION VALUE=\"F\">Fille</OPTION>" ;
 Echo "<OPTION VALUE=\"M\">Gar&ccedil;on</OPTION>" ;
 Echo "</SELECT>" ;
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Repere2 : Numero National
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;national&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"repere2\" SIZE=\"12\" MAXLENGTH=\"11\">&nbsp;</FONT></TD>" ;
 Echo "</TR>" ;
 // Repere1 : Numero GEP
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Num&eacute;ro&nbsp;GEP&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"repere1\" SIZE=\"6\" MAXLENGTH=\"5\">&nbsp;</FONT>(non&nbsp;obligatoire)</TD>" ;
 Echo "</TR>" ;
 // Mef
 $mefs = garennes_mefs (0) ;
 Echo "<tr>" ;
 Echo "<td align=\"right\"><font size=\"".$l ["titre"]."\">&nbsp;MEF&nbsp;:&nbsp;</font></td>" ;
 Echo "<td align=\"left\"><font size=\"".$l ["titre"]."\">" ;
 If ($mefs [0][0] == 0) { Echo "<input type=\"text\" name=\"mef\" value=\"".$ligne ["mef"]."\" size=\"12\" maxlength=\"11\">&nbsp;" ; }
 Else
  {
   Echo "<select name=\"mef\">" ;
   For ($i = 1 ; $i <= $mefs [0][0] ; $i++)
    {
     Echo "<option value=\"".$mefs [$i][1]."\"" ; If ($ligne ["mef"] == $mefs [$i][1]) { Echo " selected" ; }
     Echo ">".$mefs [$i][4]."</option>" ;
    }
   Echo "</select>" ;
  }
 Echo "</font>" ;
 Echo "</td>" ;
 Echo "</tr>" ;
 // Classe
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Classe&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"id_classe\">" ;
 $resultat = SQL_commande ("SELECT id_classe, nom FROM classes ORDER BY nom_bref,nom", $id_sql) ;
 While ($lin_cl = SQL_ligne_suivante ($resultat))
  {
   Echo "<OPTION VALUE=\"".$lin_cl [0]."\">".$lin_cl [1]."</OPTION>" ;
  }
 Echo "</SELECT></FONT>" ;
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Regime
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;R&eacute;gime&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"regime_eleve\">" ;
 $resultat = SQL_commande ("SELECT code,nom_long FROM types_regimes ORDER BY code", $id_sql) ;
 While ($reg_el = SQL_ligne_suivante ($resultat))
  {
   Echo "<OPTION VALUE=\"".$reg_el [0]."\">".$reg_el [1]."</OPTION>" ;
  }
 Echo "</SELECT>" ;
 Echo "</FONT>" ;
 Echo "</TD>" ;
 Echo "</TR>" ;
 // Redoublant
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Redoublant&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"redoublant\">" ;
 Echo "<OPTION VALUE=\"O\">OUI</OPTION>" ;
 Echo "<OPTION VALUE=\"N\" SELECTED>NON</OPTION>" ;
 Echo "</SELECT></FONT>" ;
 Echo "</TD>" ;
 Echo "</TR>" ;

 // Espace
 Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;

 // Responsables
 Echo "<TR>" ;
 Echo "<TD>&nbsp;</TD>" ;
 Echo "<TD ALIGN=\"CENTER\">&nbsp;Responsable&nbsp;1&nbsp;</TD>" ;
 Echo "<TD ROWSPAN=\"8\">&nbsp;</TD>" ;
 Echo "<TD ALIGN=\"CENTER\">&nbsp;Responsable&nbsp;2&nbsp;</TD>" ;
 Echo "</TR>" ;
 // Civilite
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Civilit&eacute;&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"civ_parents\">" ;
 Echo "<OPTION VALUE=\"M. et Mme\">M. et Mme</OPTION>" ;
 Echo "<OPTION VALUE=\"M.\">M.</OPTION>" ;
 Echo "<OPTION VALUE=\"Mme\">Mme</OPTION>" ;
 Echo "<OPTION VALUE=\"Mlle\">Mlle</OPTION>" ;
 Echo "</SELECTED>" ;
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<SELECT NAME=\"civ_parents_2\">" ;
 Echo "<OPTION VALUE=\"M. et Mme\">M. et Mme</OPTION>" ;
 Echo "<OPTION VALUE=\"M.\">M.</OPTION>" ;
 Echo "<OPTION VALUE=\"Mme\">Mme</OPTION>" ;
 Echo "<OPTION VALUE=\"Mlle\">Mlle</OPTION>" ;
 Echo "</SELECTED>" ;
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Nom
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Nom&nbsp;du&nbsp;responsable&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"nom_parents\" SIZE=\"26\" MAXLENGTH=\"25\"></FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"nom_parents_p2\" SIZE=\"26\" MAXLENGTH=\"25\"></FONT></TD>" ;
 Echo "</TR>" ;
 // Prenoms
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Pr&eacute;nom&nbsp;du&nbsp;responsable&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"prenom_parents\" SIZE=\"26\" MAXLENGTH=\"25\"></FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"prenom_parents_p2\" SIZE=\"26\" MAXLENGTH=\"25\"></FONT></TD>" ;
 Echo "</TR>" ;
 // Adresse
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\" vALIGN=\"TOP\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;Adresse&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse1\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse2\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse1_p2\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"adresse2_p2\" SIZE=\"26\" MAXLENGTH=\"25\">&nbsp;<BR>" ;
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // CP+Ville
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;C.P.&nbsp;+&nbsp;Ville&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"cp\" SIZE=\"6\" MAXLENGTH=\"5\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"ville\" SIZE=\"28\" MAXLENGTH=\"27\">" ;
 Echo "</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"cp_p2\" SIZE=\"6\" MAXLENGTH=\"5\">" ;
 Echo "<INPUT TYPE=\"TEXT\" NAME=\"ville_p2\" SIZE=\"28\" MAXLENGTH=\"27\">" ;
 Echo "</FONT></TD>" ;
 Echo "</TR>" ;
 // Telephones
 // Maison
 Echo "<TR BGCOLOR=\"".$l ["lien"]."\">" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;T&eacute;l&eacute;phone&nbsp;domicile&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"telephone\" SIZE=\"14\" MAXLENGTH=\"13\"></FONT>&nbsp;</TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"telephone_p2\" SIZE=\"14\" MAXLENGTH=\"13\"></FONT>&nbsp;</TD>" ;
 Echo "</TR>" ;
 // Travail
 Echo "<TR>" ;
 Echo "<TD ALIGN=\"RIGHT\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;T&eacute;l&eacute;phone&nbsp;travail&nbsp;:&nbsp;</FONT></TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"telephone_travail\" SIZE=\"14\" MAXLENGTH=\"13\"></FONT>&nbsp;</TD>" ;
 Echo "<TD ALIGN=\"LEFT\"><FONT SIZE=\"".$l ["titre"]."\"><INPUT TYPE=\"TEXT\" NAME=\"telephone_travail_p2\" SIZE=\"14\" MAXLENGTH=\"13\"></FONT>&nbsp;</TD>" ;
 Echo "</TR>" ;

 // Espace
 Echo "<TR><TD COLSPAN=\"4\"><FONT SIZE=\"".$l ["titre"]."\">&nbsp;</FONT></TD></TR>" ;

 // Boutons
 Echo "<TR>" ;
 Echo "<TD></TD>" ;
 Echo "<TD ALIGN=\"CENTER\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"code\" VALUE=\"".$_SESSION ["code"]."\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"id_eleve\" VALUE=\"0\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"edite\" VALUE=\"1\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"A\">" ;
 Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/valider.png\" ALT=\"Valider\" VALUE=\"Valider\" BORDER=\"0\">" ;
 Echo "</TD>" ;
 Echo "</FORM>" ;
 Echo "<FORM ACTION=\"./gestion_eleves.php\" METHOD=\"POST\">" ;
 Echo "<TD ALIGN=\"RIGHT\" COLSPAN=\"2\">" ;
 Echo "<INPUT TYPE=\"HIDDEN\" NAME=\"lettre\" VALUE=\"A\">" ;
 Echo "<INPUT TYPE=\"IMAGE\" SRC=\"../images/annuler.png\" ALT=\"Retour &agrave; la liste\" BORDER=\"0\">" ;
 Echo "</TD>" ;
 Echo "</FORM>" ;
 Echo "</TR></TABLE>" ;
 Echo "</TD></TR></TABLE>" ;
 Echo "</TD></TR></TABLE>" ;
 Echo "</BODY></HTML>" ;
?>
